// File:	AddCommand.hpp												     //
//---------------------------------------------------------------------------//
//   Date    Who  Modification                                               //
#pragma once
#include "Command.h"
#include <MW4\MW4Headers.hpp>

class AddCommand : 
	public Command
{

public:
	AddCommand(Adept::Entity *entity);
	virtual ~AddCommand();

	Adept::Entity 
		*addedObject;

	void 
		Execute();
	void 
		Undo();
	void
		Move();
};

